[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#215969: undefined non-weak symbols / incomplete inter-library dependency information

Package: libglade-gnome0
Version: 1:0.17-2.10
Severity: serious
Tags: upstream

ldd -r shows /usr/lib/libglade-gnome.so.0.4.2 to have undefined non-weak
symbols, (in particular, from /usr/lib/libglade.so.0.4.2) which means it has
incomplete inter-library dependency information and that users of binaries
that link against it won't profit much from the load time speedups that can
be gained through prelink(8).

Please see
for more information on this issue and change your library to be linked
against all its dependencies explicitly.

This type of bug is considered as a release critical issue for sarge by the
releasemaster; see http://people.debian.org/~ajt/sarge_rc_policy.txt (point

Also please note that this is mostly a copy-and-paste bug report - if your
package contains other libraries, they may well have similar issues as well.

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux zensunni 2.4.23-pre7-evms1.2.1 #1 SMP Fri Oct 10 17:39:36 CEST 2003 i686
Locale: LANG=C, LC_CTYPE=en_US.ISO8859-1

Versions of packages libglade-gnome0 depends on:
ii  gdk-imlib1                   1.9.14-14   imaging library for use with gtk (
ii  libart2                      1.4.2-16    The GNOME canvas widget - runtime 
ii  libaudiofile0                0.2.3-4     The Audiofile Library
ii  libc6                        2.3.2-8     GNU C Library: Shared libraries an
ii  libdb3                       3.2.9-19    Berkeley v3 Database Libraries [ru
ii  libesd-alsa0 [libesd0]       0.2.29-1    Enlightened Sound Daemon (ALSA) - 
ii  libglade0                    1:0.17-2.10 Library to load .glade files at ru
ii  libglib1.2                   1.2.10-9    The GLib library of C routines
ii  libgnome32                   1.4.2-16    The GNOME libraries
ii  libgnomesupport0             1.4.2-16    The GNOME libraries (Support libra
ii  libgnomeui32                 1.4.2-16    The GNOME libraries (User Interfac
ii  libgtk1.2                    1.2.10-16   The GIMP Toolkit set of widgets fo
ii  libxml1                      1:1.8.17-4  GNOME XML library
ii  xlibs                        4.2.1-12.1  X Window System client libraries
ii  zlib1g                       1:1.1.4-15  compression library - runtime

-- no debconf information
Obsig: developing a new sig

Reply to: